server.port = 8081
# logging settings for spring framework
logging.level.org.springframework.web=DEBUG
logging.level.org.springframework.ldap=DEBUG
logging.level.org.springframework.ldap.authentication=DEBUG
logging.level.org.springframework.ldap.pool=DEBUG
logging.level.org.apache.commons.pool2=DEBUG
# client settings

# settings
setting1=st1
setting2=st2

# whether to activate default security or not (0 = off, 1 = on)
# this is a dirty config setting, to be removed in production
security.activation.status=1

# basic auth credentials
security.user.name=<user>
security.user.password=<password>

# LDAP settings - Note: StartTLS is quite slow, but secure
ldap.userSearchBase=dc=your,dc=domain,dc=com
ldap.userSearchFilter=(uid={0})
ldap.url=ldap://ldap-domain:389/
#ldap.use.starttls=true
ldap.use.starttls=false

# rest endpoints
rest.endpoint.url.callGet=http://localhost:8080/v1/template/{param}/

# Specific settings (created at build time from Maven pom.xml)
info.app.project=My Project
info.build.artifact=@project.artifactId@
info.build.name=@project.name@
info.build.description=@project.description@
info.build.version=@project.version@

#encryption
#encryption.CEFfilein=data.txt
#encryption.CEFfilein=encrypted.txt
#encryption.CEFfilein=C:/ws/PsdTlbx/resources/CEFdata.txt
#encryption.CEFfilein=C:/ws/PsdTlbx/encrpyted.txt
python.path

#encryption.CEFfileout=decrypted.txt
encryption.Mode=d
#encryption.What=b
#encryption.Ksloc=c:/keytest/cc.jceks
#encryption.Kspw=ed
#encryption.Dstkey=1111111111111122
#encryption.Srckey=0123456789ABCDEF
encryption.DstkeyPath=classpath:keyfolder/dstkey.txt

spring.servlet.multipart.max-file-size=1024MB
spring.servlet.multipart.max-request-size=1024MB
spring.servlet.multipart.enabled=true
multipart.max-file-size=1024MB
multipart.max-request-size=1024MB
spring.http.multipart.max-file-size=1024MB
spring.http.multipart.max-request-size=1024MB
spring.http.multipart.enabled=true

tempfolder.dir=/tmp
pyton.path=/usr/bin/python2.7

# The python script will require further packages to be installed (see imports)
python.script=classpath:ipcryptCEF.py


# Dmo Engine services
dmo.engine.uri=https://your-isi-domain:8443/dmo-engine
dmo.engine.path.listDmo=/v1/action
dmo.engine.path.registerDmo=/v1/action
dmo.engine.path.deleteDmo=/v1/action

# Dmo FpeEncryptIPv4
dmo.psd.fw.actionId=PseudonymiseFirewallCTI
dmo.psd.fw.dataLakeType=FS
dmo.psd.fw.endPoint=https://you-isi-domain:8443/PseudonymiseFirewallCTI/v1/encryptCEF/
dmo.psd.fw.httpMethod=POST
dmo.psd.fw.attribute=string|HEADER|param|,string|QUERY|encMode|e

# Dmo FpeDecryptIPv4
dmo.depsd.fw.actionId=DePseudonymiseFirewallCTI
dmo.depsd.fw.dataLakeType=FS
dmo.depsd.fw.endPoint=https://your-isi-domain:8443/PseudonymiseFirewallCTI/v1/encryptCEF/
dmo.depsd.fw.httpMethod=POST
dmo.depsd.fw.attribute=string|HEADER|param|,string|HEADER|encMode|d

# Scheduled registration task (in millis)
dmo.schedule.initialDelay=200000
dmo.schedule.fixedDelay=600000

